# Validate Pushbullet token

This function sends a Pushbullet™ test message to determine that the token is valid and that the account holder can receive the message.

Endpoint: GET /Pushbullet/send_test_message
Version: 11.137.9999.106
Security: BasicAuth

## Query parameters:

  - `access_token` (string, required)
    The Pushbullet access token.

Note:

* Your Pushbullet token is available on
Pushbullet's My Account page under
the Access Token heading.
* This is confidential information that your server sends via a secure channel.
    Example: "a1b2c3d4e5f6g7h8i9j0"

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "send_test_message"

  - `module` (string)
    The name of the module called.
    Example: "Pushbullet"

  - `result` (object)

  - `result.data` (object)

  - `result.data.message_id` (string)
    The test message's ID.
    Example: "554d2cbd-efe61da3cacb"

  - `result.data.payload` (object)
    The payload from the Pushbullet server. For more information, read
[Pushbullet's API documentation](https://docs.pushbullet.com/).

Warning:

This return may contain values that are Boolean primitives. JSON
properly represents these, but XML represents them as 0 or 1.
    Example: {"active":true,"body":"This message confirms that “hostname.example.com“ (192.168.0.20)\ncan send a message to you via Pushbullet.\n\nThis message was sent on Monday, May 18, 2015 at 7:12:20 PM UTC.","created":1431976341.38872,"direction":"self","dismissed":false,"iden":"ujw5ScArtjUsjAeRXXMLGS","modified":1431976341.39182,"receiver_email":"user@example.com","receiver_email_normalized":"user@example.com","receiver_iden":"ujw5ScArtjU","sender_email":"user@example.com","sender_email_normalized":"user@example.com","sender_iden":"ujw5ScArtjU","sender_name":"Firstname Lastname","title":"Test message (ID: 555a3994-173a4a271062d)","type":"note"}

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.status` (integer)
    * 1 — Success.
* 0 — Failed. Check the errors field for more details.
    Enum: 1, 0

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


